Jump to content
Hash, Inc. Forums

Recommended Posts

After several months of frustrations with El Capitan, 10.11.6, I was obliged to upgrade to Mojave, 10.14.4,  today.

One of the reasons I had been reluctant to do so had been the question of compatibility with AM.

Haven't tried it fully yet but, on opening it for the first time, a message from Apple flagged up saying it was not entirely compatible with Mojave and to contact the developer.

The first thing noticed was that  the drop down buttons in the PWS didn't seem to work. Could move the bones in an action but, not close down the drop down lists.

Is there a patch available for V18 or a workaround?

Thank you for any help.

simon

Share this post


Link to post
Share on other sites

There will not be a patch for v18 since Hash is on v19 now.

Steffen noted in the v19  release notes a while ago...

Quote

OSX
latest supported version is OSX 10.13.6, because my mac can't be updated to a newer OSX version

That said, I don't know for certain that your menu problem is due to the OS update.

 

 

I'm afraid we are nearing the end for A:M on the Mac since Apple will be dropping support for 32-bit programs next year. 🙁 That is what the warning you got refers to.
 

Making your Mac dual boot and keeping the OS that A:M can run on is your likely only solution for continuing to run A:M other than moving to a PC.

Quote

 

For clarification

A 64bit version for the mac would need a complete rewrite (splitting the codebase ,Metal instead of OpenGL) and I don't have the manpower nor the knowledge nor the willing for doing this .

...

And if You have still installed 10.7 or 10.8 make a A:M bench with this version and OSX versions above 10.10 , You'll see a performance drop from around 5-10% (scene dependending) on the same hardware.

 

 

Share this post


Link to post
Share on other sites

I've been afraid to update to Mojave for this very reason.

Ah well, as they say, "All good things..."

I'm going to hang back updating until I finish this latest Stalled Trek, but then I'll have to cut the cord. 

To paraphrase the 11th Doctor, "I'll always remember when A:M was made for Mac." :-)

Share this post


Link to post
Share on other sites

Robert, Mark

Thank you for your help and replies.

I went and had a look at other programs on the desktop, and  several of those were no longer available as well, FCP, Logic Pro9 and Logic Express. As they are the main programs I work with, other than Photoshop and Lightroom, it seemed like a good idea to revert to El Capitan and get rid of Mojave. A friend gave me a mac book pro with FCPX on it and, for me at least, its horrible. Aside from the samples and loops the same  applies to Logic ProX.

Anyway, hesitations about needless  upgrades aside, I've gone for reinstalling  from the Timemachine backup. It is going to take a very long time. At  this point, its saying the estimated time is 260+ hours. Hoping that is an over estimate as 11 days seems like an eternity, Will just have to get on with it on a different machine. One without Mojave !

regards

simon

Share this post


Link to post
Share on other sites

It's good that you can revert, at least for now.

Share this post


Link to post
Share on other sites

Make a mental note to look into the dual-boot option so you can preserve an OS that runs all the apps you need.

Share this post


Link to post
Share on other sites

By way of update on this problem.

I has been a very frustrating few weeks trying o sort out the problems, compounded by the HD the timemachine was on starting to give up the ghost.

That is starting to settle down but, have tried to migrate V19 from the Mojave machine to a MBP running OSX 10.9.

When I enter the authorisation code it warns "that code is already used" and allows no further progress.

Is there  a way to correct this problem ?

I should add that, as a result of all the tech problems, I have lost nearly all info  on the original Imac HD. The code I have was  written down when I bought V19 last year

Thank you for any help.

simon

Share this post


Link to post
Share on other sites

Wow.  I'm sorry you've had so much mac trouble. I may still have some of the files you sent me when we were talking about lighting and things.

 

An activation code is only good for one machine. It is meant to be used on the machine it was installed on and not transferred.

The release notes for v19 say that "latest supported version is OSX 10.13.6". I'm not sure if that is before or after 10.9

Share this post


Link to post
Share on other sites

Hey Simon, you need to get your Mac's MAC address and send it to Jason, so that he can move the license. You can find it in the advanced part of the network settings in your System Preferences. 

Share this post


Link to post
Share on other sites
3 hours ago, largento said:

Hey Simon, you need to get your Mac's MAC address and send it to Jason, so that he can move the license. You can find it in the advanced part of the network settings in your System Preferences. 

Mark

Thank you very much for your help.

I think I've found it ( not sure of anything tech wise at the moment )

It has been such a nightmare the past four weeks, If I wasn't grey before, I would be now.

regards

simon

Share this post


Link to post
Share on other sites
4 hours ago, robcat2075 said:

Wow.  I'm sorry you've had so much mac trouble. I may still have some of the files you sent me when we were talking about lighting and things.

 

An activation code is only good for one machine. It is meant to be used on the machine it was installed on and not transferred.

The release notes for v19 say that "latest supported version is OSX 10.13.6". I'm not sure if that is before or after 10.9

Robert

Thank you for your reply.

It has been four weeks or so of  teeth grinding time, possibly in time with the Timemachine HD that was gradually grinding to a stop.

There were three attempts, the last migration took 8 days and didn't give me back all the files I wanted. Lost all my email contacts for example.

Now trying to rescue that data onto a newer HD but, the drive is barely moving, and the estimated time remaining is showing at 111 days ( not a typo ), its already had 6.

The house spring cleaning  has been bypassed for more urgent things. Thats my excuse and I'm sticking with it.

Agreed about OSX numbering, only thing more irritating is the naming system. I migrated  from PC's  after a lot of reliability problems post Windows XP, both hardware and operating system. This is the first time I've really hit trouble with the Macs and its really because I didn't pay attention to the ext HD. Lesson learned, at least I hope so.

regards

simon

Share this post


Link to post
Share on other sites

At the risk of nobody will see this.

Perhaps I should start a new thread.

Can I assume that v19 will run on my new iMac with OSX High Sierra (10.13.6)

has Yoda really got a Mac now?

Share this post


Link to post
Share on other sites
50 minutes ago, GAngus said:

Can I assume that v19 will run on my new iMac with OSX High Sierra (10.13.6)

has Yoda really got a Mac now?

Hi Gerald!

Yes Steffen has a Mac. It is a mac that can only be updated to OSX 10.13.6 so that is why that is the last that will can supported.

Share this post


Link to post
Share on other sites

Thank You Robert.

I hope the rains down that way have not affected you too badly.

 

So how long has it been since he has a Mac?

I used to check in from time to time but I guess I missed that.

Nothing in the store about compatibility, it seems.

 

I will scan the forums and see how it is developing.

Perhaps I will get back to splining soon.

PS; Is there a Mac Trial possibility?

Share this post


Link to post
Share on other sites
1 hour ago, GAngus said:

So how long has it been since he has a Mac?

Steffen has been fixing Mac-specific bugs for years so i'm sure he's had it a long time.
 

Quote

 

PS; Is there a Mac Trial possibility?

 

I presume there is. Try it...

https://www.hash.com/get-it-now-15-en

Share this post


Link to post
Share on other sites
Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Sign in to follow this  

×
×
  • Create New...